
TYPO3.Neos - Task # 26717

Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category: UI
Created: 2011-05-10 Assigned To: Sebastian Kurfuerst
Updated: 2011-06-21 Due date:
Subject: Update Aloha to recent trunk version, as soon as it is stable again
Description

Related issues:
blocks TYPO3.Neos - Bug # 11637: Fix aloha editing in firefox Resolved 2010-12-22
blocks TYPO3.Neos - Task # 13533: Nice to have: Text/image content element Resolved
blocks TYPO3.Neos - Bug # 26486: Aloha activation on double click broken Closed 2011-04-29

Associated revisions
Revision 7457863a - 2011-06-21 06:39 - Sebastian Kurfuerst

[TASK] (JavaScript): Fix content editing with Aloha 0.10

Now, we can edit content again with Aloha 0.10. This includes:

    -  Adjustments to new asynchronous bootstrap in Aloha
    -  Greatly simplified Aloha JavaScript file loading
    -  Various smaller cleanups of obsolete code
    -  Adjustments of CSS classes to changed Aloha CSS classes
    -  Removal of Aloha plugin; all functionality is now in Aloha Initializer.
In this process, some functionality has been removed:
    -  CREATING new content element not possible anymore through Aloha, as this should

  now be done in the selection mode.
    -  DELETING content not possible anymore though Aloha, as this should now be done

  in the selection mode.
    -  Functionality for creating links has been deactivated again, as it did never

  work so far. When TypoScript can render links properly, we can activate it
  again.

Resolves: #26717
Change-Id: Ia593a1fc8c2467f9fdc714f63fba796161d59014

History
#1 - 2011-06-08 16:11 - Mr. Hudson

Patch set 1 of change Ia593a1fc8c2467f9fdc714f63fba796161d59014 has been pushed to the review server.
It is available at http://review.typo3.org/2582

#2 - 2011-06-08 16:12 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

    -  http://review.typo3.org/2580
    -  http://review.typo3.org/2581
    -  http://review.typo3.org/2582

#3 - 2011-06-08 16:31 - Sebastian Kurfuerst
- % Done changed from 0 to 90

#4 - 2011-06-11 12:46 - Mr. Hudson

Patch set 2 of change Ia593a1fc8c2467f9fdc714f63fba796161d59014 has been pushed to the review server.
It is available at http://review.typo3.org/2582

#5 - 2011-06-21 06:40 - Mr. Hudson

Patch set 3 of change Ia593a1fc8c2467f9fdc714f63fba796161d59014 has been pushed to the review server.
It is available at http://review.typo3.org/2582

#6 - 2011-06-21 07:05 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:7457863a3de113c45d8347595df786e321f00c2b.
